---
title: '-webkit-line-clamp'
slug: Web/CSS/-webkit-line-clamp
tags:
  - '-webkit-line-clamp'
  - CSS
  - CSS Property
  - Non-standard
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>-webkit-line-clamp</code></strong> CSS property allows limiting of the contents of a {{Glossary("block container")}} to the specified number of lines.</p>

<p>It only works in combination with the {{cssxref("display")}} property set to <code>-webkit-box</code> or <code>-webkit-inline-box</code> and the {{cssxref("-webkit-box-orient")}} property set to <code>vertical</code>.</p>

<p>In most cases you will also want to set {{cssxref("overflow")}} to <code>hidden</code>, otherwise the contents won't be clipped but an ellipsis will still be shown after the specified number of lines.</p>

<p>When applied to anchor elements, the truncating can happen in the middle of the text, not necessarily at the end.</p>

<div class="notecard note">
<p><strong>Note</strong>: This property was originally implemented in WebKit and has some issues. It got standardized for legacy support. The <a href="https://www.w3.org/TR/css-overflow-3/#propdef--webkit-line-clamp">CSS Overflow Module Level 3</a> specification also defines a {{cssxref("line-clamp")}} property, which is meant to replace this property and avoid its issues.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css notranslate">/* Keyword value */
-webkit-line-clamp: none;

/* &lt;integer&gt; values */
-webkit-line-clamp: 3;
-webkit-line-clamp: 10;

/* Global values */
-webkit-line-clamp: inherit;
-webkit-line-clamp: initial;
-webkit-line-clamp: unset;
</pre>

<dl>
 <dt><code>none</code></dt>
 <dd>This value specifies that the content wonʼt be clamped.</dd>
 <dt>{{cssxref("integer")}}</dt>
 <dd>This value specifies the number of lines after which the content will be clamped. It must be greater than 0.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Truncating_a_paragraph">Truncating a paragraph</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;
  In this example the &lt;code&gt;-webkit-line-clamp&lt;/code&gt; property is set to &lt;code&gt;3&lt;/code&gt;, which means the text is clamped after three lines.
  An ellipsis will be shown at the point where the text is clamped.
&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  width: 300px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Truncating_a_paragraph", "100%", "100")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Overflow", "#propdef--webkit-line-clamp", "-webkit-line-clamp")}}</td>
   <td>{{Spec2("CSS3 Overflow")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-line-clamp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://css-tricks.com/line-clampin/">Line Clampin’ (Truncating Multiple Line Text)</a></li>
 <li>{{cssxref("line-clamp")}}</li>
</ul>
